> ## Documentation Index
> Fetch the complete documentation index at: https://snowseo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Show or Hide on Public Feed

> Toggle whether an article appears on the brand's public feed.

Toggle whether an article appears on your brand's public feed. Body: `isPublic` (boolean, required). Returns `{ article: { slug, isPublic, updatedAt } }`.


## OpenAPI

````yaml PATCH /v3/cms/articles/{slug}/public-feed
openapi: 3.0.0
info:
  title: SnowSEO API
  description: API documentation for SnowSEO
  version: 1.0.0
servers:
  - url: https://api.snowseo.com
    description: Production server
security:
  - bearerAuth: []
  - apiKey: []
externalDocs:
  url: https://snowseo.com/docs
  description: Find more info here
paths:
  /v3/cms/articles/{slug}/public-feed:
    patch:
      tags:
        - CMS
      summary: Set article public feed visibility
      description: >-
        Show or hide an existing SnowSEO article on public/feed surfaces by
        updating its public visibility flag.
      operationId: setArticlePublicFeedVisibility
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - isPublic
              properties:
                teamId:
                  type: string
                isPublic:
                  type: boolean
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  article:
                    type: object
                    properties:
                      slug:
                        type: string
                      isPublic:
                        type: boolean
                      updatedAt:
                        type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  reference:
                    type: string
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  reference:
                    type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your SnowSEO API key (sk_...).
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.